Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 200051 - Review Request: libutempter
Summary: Review Request: libutempter
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FC6Target FC-ACCEPT 193190
TreeView+ depends on / blocked
 
Reported: 2006-07-25 05:27 UTC by Mike A. Harris
Modified: 2013-01-10 01:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-28 19:39:37 UTC


Attachments (Terms of Use)

Description Mike A. Harris 2006-07-25 05:27:05 UTC
Spec URL: http://people.redhat.com/mharris/libutempter.spec

SRPM URL: http://people.redhat.com/mharris/libutempter-1.1.4-1.src.rpm

Description:

libutempter is a replacement for the Red Hat 'utempter' package which is
itself originally a fork of Red Hat utempter which has had numerous security
enhancments to the Red Hat code, but provides full backward compatibility.

Additionally, the new package follows Fedora packaging guidelines more
closely by providing standard libfoo and libfoo-devel package naming.



Note: This package makes use of two groups, the first 'utmp' which is already
allocated and present in the Red Hat 'utempter' package as GID==22, and the
second group 'utempter' which is currently unallocated.  Once this package
has been approved as a replacment for utempter, and any changes implemented
which are deemed necessary, a request will be filed to allocate a new GID
for the utempter helper utility.  Once the GID is allocated, the package
will be updated prior to being built in rawhide.  After that, the legacy
Red Hat 'utempter' package can be deprecated and removed from brew.

Comment 1 Mike A. Harris 2006-07-25 06:10:52 UTC
[Note to self]

Once this is approved and package is built, close bug #193190 also.

Comment 2 Jesse Keating 2006-07-25 18:06:54 UTC
Spec looks pretty good, here is some rpmlint output:

E: libutempter-debuginfo tag-not-utf8 %changelog
E: libutempter-devel tag-not-utf8 %changelog

Find the offending changelog entry

E: libutempter non-standard-dir-perm /usr/libexec/utempter 0710
E: libutempter non-standard-executable-perm /usr/libexec/utempter/utempter 02711
E: libutempter non-standard-executable-perm /usr/libexec/utempter/utempter 02711
E: libutempter non-standard-gid /usr/libexec/utempter utempter
E: libutempter non-standard-gid /usr/libexec/utempter/utempter utmp

I'm assuming because this has to run as utmpter and this is ignorable.

E: libutempter non-utf8-spec-file libutempter.spec

Because of the changelog

E: libutempter setgid-binary /usr/libexec/utempter/utempter utmp 02711

Again because of utempter, ignore.

E: libutempter tag-not-utf8 %changelog
E: libutempter tag-not-utf8 %changelog

Changelog again.

W: libutempter-devel no-documentation

Ignorable

W: libutempter macro-in-%changelog _libdir
W: libutempter macro-in-%changelog _libdir
W: libutempter macro-in-%changelog _sbindir

These are probably ignorable as well.

Everything else looks OK, so approving.

Bill Ack?

Comment 3 Bill Nottingham 2006-07-25 18:20:22 UTC
It's awfully late... aside from that, no complaints.

Comment 4 Mike A. Harris 2006-07-25 21:20:48 UTC
(In reply to comment #2)
> Spec looks pretty good, here is some rpmlint output:
> 
> E: libutempter-debuginfo tag-not-utf8 %changelog
> E: libutempter-devel tag-not-utf8 %changelog

Bero's last name was in ISO8859-1 in a changelog entry.  Worked around via
anglicization.

 
> Find the offending changelog entry
> 
> E: libutempter non-standard-dir-perm /usr/libexec/utempter 0710

Dir restricted to group utempter access for security.

> E: libutempter non-standard-executable-perm /usr/libexec/utempter/utempter 02711
> E: libutempter non-standard-executable-perm /usr/libexec/utempter/utempter 02711

Binary restricted to group utempter, with perms for SGID binaries.

> E: libutempter non-standard-gid /usr/libexec/utempter utempter

This needs to be created once the package is approved, which it sounds
like now from above. ;o)

> E: libutempter non-standard-gid /usr/libexec/utempter/utempter utmp

setuid utmp executable.  The GID should be allocated already, if not
I'll have to do that, but I assume it is, since RH utempter uses the
same GID.


> I'm assuming because this has to run as utmpter and this is ignorable.

yup
 
> E: libutempter non-utf8-spec-file libutempter.spec
> 
> Because of the changelog

yup, fixed.
 
> E: libutempter setgid-binary /usr/libexec/utempter/utempter utmp 02711
> 
> Again because of utempter, ignore.

yup
 
> E: libutempter tag-not-utf8 %changelog
> E: libutempter tag-not-utf8 %changelog
> 
> Changelog again.

Wow, it reports the same problem 3 different errors for the same issue.

> W: libutempter-devel no-documentation

Correct, there is no documentation except the README and COPYING.  The rpmlint
developers are free to submit manpages however.  ;o)
 
> W: libutempter macro-in-%changelog _libdir
> W: libutempter macro-in-%changelog _libdir
> W: libutempter macro-in-%changelog _sbindir
> 
> These are probably ignorable as well.

Actually I just noticed them a half hour ago or so and fixed them.
Theoretically %_libdir et al. should always expand to a path of some
form, however it is also theoretical that they could expand to something
else, and macros are illegal in the changelog, so fixed.
 
> Everything else looks OK, so approving.

Good beans.


Comment 5 Mike A. Harris 2006-07-28 19:39:37 UTC
Committed to rawhide now.


Note You need to log in before you can comment on or make changes to this bug.